Autor Thema: Sicherheitslücke in OTRS => KIX und KIX4OTRS betroffen? / Maßnahmen?  (Gelesen 337 mal)

Rico Ullmann

  • Newbie
  • Beiträge: 53
Hallo zusammen,

am 30.05.2017 wurde bekannt, dass es in allen bis dahin ausgelieferten OTRS-Versionen, einen kritischen Fehler gab. Dieser äußert sich darin, dass ein Agent durch geeignete Maßnahmen Kontrolle über die Installationsroutine bekommen kann.

Sind KIX und KIX4OTRS von dem Fehler betroffen?

I. KIX4OTRS => Ja

Möglichkeit 1:

Löschen der "installer.pl" unter <OTRS-Pfad>/bin/cgi-bin

ODER

Möglichkeit 2:

Anpassen der "Config.pm" (<OTRS-Pfad>/Kernel) durch Hinzufügen von "delete $Self->{'Frontend::Module'}->{Installer};". Danach ist der Cache zu löschen und ein Config-Rebuild durchzuführen.


II. KIX16/KIX16 Pro => Ja

Möglichkeit 1:

Löschen der "installer.pl" unter <KIX-Pfad>/bin/cgi-bin

ODER

Möglichkeit 2:

Anpassen der "Config.pm" (<KIX-Pfad>/Kernel) durch Hinzufügen von "delete $Self->{'Frontend::Module'}->{Installer};". Danach ist der Cache zu löschen und ein Config-Rebuild durchzuführen.


III. KIX17/KIX17 Pro => Nein

Es besteht kein Handlungsbedarf.

kornexl

  • Newbie
  • Beiträge: 42
zumindest unter kix2016 ist das Verzeichnis /Kernel/ nicht im Pfad zu installer.pl.
Bei mir ist der Pfad /opt/kix/bin/cgi-bin

Rico Ullmann

  • Newbie
  • Beiträge: 53
Hallo kornexel,

vielen Dank für die Info. Habe den Text korrigiert.

Viele Grüße
Rico Ullmann